FILEFRAG(8)

NOM
filefrag - Indiquer la fragmentation des fichiers

SYNOPSIS
filefrag [ -btaille_bloc ] [ -BeEkPsvVxX ] [ fichiers ... ]

DESCRIPTION
filefrag indique dans quelle mesure un fichier donné peut être fragmenté. Il prend en considération les blocs indirects des systèmes de fichiers ext2 et ext3, mais peut également être utilisé sur d'autres systèmes de fichiers.

Le programme filefrag essaie d'abord d'obtenir les informations à l'aide de l'ioctl FIEMAP qui est plus efficace et plus rapide. Si FIEMAP n'est pas pris en charge, alors filefrag utilisera l'ioctl FIBMAP.

OPTIONS

-B  Forcer l'utilisation de l'ancien ioctl FIBMAP plutôt que l'ioctl FIEMAP pour des raisons de test.

-btaille_bloc
    Utiliser taille_bloc en octets, ou avec un suffixe [KMG], jusqu’à 1 Go pour la sortie au lieu de la taille des blocs du système de fichiers. Afin de maintenir la compatibilité avec les versions précédentes de filefrag, si taille_bloc n'est pas précisée, sa valeur par défaut est 1024 octets. Dans la mesure où taille_bloc est un argument optionnel, il peut être ajouté sans espace après -b.

-e  Afficher la sortie dans un format étendu, même pour les fichiers placés en bloc.

-E  Afficher le contenu du cache d’état de domaines (extent) d’ext4. Cette fonctionnalité n’est pas gérée par tous les noyaux et n’est uniquement prise en charge que sur les systèmes de fichiers ext4.

-k  Utiliser une taille_bloc de 1024 octets pour la sortie (identique à « -b1024 »)

-P  Précharger le cache d’état de domaines (extent) d’ext4. Cette fonction n’est pas gérée par tous les noyaux et n’est prise en charge que sur les systèmes de fichiers ext4.

-s  Synchroniser le fichier avant de demander son emplacement.

-v  Être bavard lors de l'affichage de la fragmentation des fichiers.

-V  Afficher le numéro de version du programme et de la bibliothèque. Si l'option est indiquée deux fois, afficher aussi les drapeaux FIEMAP qui sont compris la version actuelle.

-x  Afficher les correspondances des attributs étendus.

-X  Afficher les numéros de blocs étendus avec des nombres hexadécimaux.

AUTEUR
filefrag a été écrit par Theodore Ts'o <tytso@mit.edu>.

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.